Bug 820768 - handle_clear_netboot needs to be per-architecture
handle_clear_netboot needs to be per-architecture
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: lab controller (Show other bugs)
0.9
All Unspecified
unspecified Severity medium (vote)
: 0.9.0
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 19:15 EDT by Nish Aravamudan
Modified: 2012-06-26 02:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 02:40:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nish Aravamudan 2012-05-10 19:15:54 EDT
Currently, handle_configure_netboot treats each architecture's netboot layout separately via callbacks per-architecture, but handle_clear_netboot assumes all are using pxelinux. This is not correct for, at least, ppc64 in my environment/testing.

The corresponding clear_ variants should be used in handle_clear_netboot.
Comment 1 Bill Peck 2012-05-11 14:29:03 EDT
Pushed to gerrit for review:

http://gerrit.beaker-project.org/#/c/1058/1
Comment 4 Dan Callaghan 2012-06-26 02:40:22 EDT
Beaker 0.9.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.